Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Sat, 13 Aug 2022 17:16:14 +0000

>> As I just said to Dmitry: the same multi-second delays we saw in 
>> smaller JSON files.  And those who have a slower CPU will see these 
>> multi-second delays with smaller files.
>
> No exactly the same ones, though, since the previous tests we did were 
> done with the older version of JSON support (not the current 
> js-json-mode), with somewhat different performance characteristics.
>

Okay, not "the same ones", but delays of the same order of magnitude 
nonetheless.  We had that discussion a month ago, and concluded that local 
fixes in every major (and minor) modes were not the way to go.  Having 
that discussion again does not seem fruitful.  You improved js-mode and 
created json-mode, that's fine, but it doesn't change anything to the way 
all other major (and minor) modes behave.